[package]
name = "skynet_ldap_server"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
# for the ldap
ldap3="0.11.1"

# to move some config into env
dotenv = "0.15.0"

# For tide
tide = "0.16.0"
async-std = { version = "1.12.0", features = ["attributes"] }
serde = { version = "1.0", features = ["derive"] }

# For sqlite
sqlx = { version = "0.6.3", features = [ "runtime-async-std-native-tls", "sqlite" ] }

#  to make the http requests
surf = "2.3.2"

# create random strings
rand = "0.8.5"

# fancy time stuff
chrono = "0.4.26"
